> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The buyer's sponsorship scope (a storefront a sponsored buyer is confined to)



## OpenAPI

````yaml /openapi/buyer.yaml get /api/v2/buyer/scope
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Catalogs
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
  - name: Activity
paths:
  /api/v2/buyer/scope:
    get:
      tags:
        - Advertisers
      summary: >-
        The buyer's sponsorship scope (a storefront a sponsored buyer is
        confined to)
      operationId: getBuyerScope
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - oneOf:
                          - type: object
                            properties:
                              scoped:
                                type: boolean
                                const: false
                            required:
                              - scoped
                            additionalProperties: false
                          - type: object
                            properties:
                              scoped:
                                type: boolean
                                const: true
                              storefrontId:
                                type: integer
                                exclusiveMinimum: 0
                                maximum: 9007199254740991
                              status:
                                type: string
                                enum:
                                  - pending
                                  - active
                                  - suspended
                              posture:
                                type: string
                                enum:
                                  - prepay
                                  - credit
                              storefront:
                                type: object
                                properties:
                                  storefrontId:
                                    type: integer
                                    exclusiveMinimum: 0
                                    maximum: 9007199254740991
                                  name:
                                    type: string
                                  operatorDomain:
                                    type:
                                      - string
                                      - 'null'
                                  logoUrl:
                                    type:
                                      - string
                                      - 'null'
                                  brandColors:
                                    anyOf:
                                      - type: object
                                        propertyNames:
                                          type: string
                                        additionalProperties:
                                          type: string
                                      - type: 'null'
                                  defaultCurrency:
                                    type:
                                      - string
                                      - 'null'
                                  supportedLanguages:
                                    anyOf:
                                      - type: array
                                        items:
                                          type: string
                                      - type: 'null'
                                  channels:
                                    type: array
                                    items:
                                      type: string
                                  regions:
                                    type: array
                                    items:
                                      type: string
                                required:
                                  - storefrontId
                                  - name
                                  - operatorDomain
                                  - logoUrl
                                  - brandColors
                                  - defaultCurrency
                                  - supportedLanguages
                                  - channels
                                  - regions
                                additionalProperties: false
                            required:
                              - scoped
                              - storefrontId
                              - status
                              - posture
                              - storefront
                            additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````